Office Customization Tool Help File

The information in this Help file is for the Office Customization Tool (OCT), and can also be found online in Office Customization Tool in the 2007 Office system in the 2007 Microsoft Office Resource Kit.

To access Help from the OCT, click the Help icon or click the Help button in a dialog box.

Office Customization Tool Help Contents

Welcome |
Setup |
Installation location and organization name |
Additional network sources | Add/Modify Network Server Entry dialog box
Licensing and user interface |
Remove previous installations |
Add installations and run programs | Add/Modify Program Entry dialog box
Office security settings |
Modify Setup properties | Add/Modify Property Value dialog box
Features |
Modify user settings |
Set feature installation states |
Files and registry entries |
Add files | File Destination Path dialog box
Remove files | File Path dialog box
Add registry entries | Add/Modify Registry Entry dialog box
Remove registry entries | Delete/Modify Registry Entry dialog box
Configure shortcuts | Add/Modify Shortcut Entry dialog box
Outlook |
Outlook profile |
Specify Exchange settings | More Exchange Server Settings dialog box
Add accounts | Add Account dialog box
Remove accounts and export settings |
Specify Send/Receive groups | New Exchange Group dialog box
 | Modify Group dialog box
 | Rename Exchange Group dialog box
 | Modify Address Book Settings dialog box


Office Customization Tool

You use the Office Customization Tool (OCT) to customize an installation of the 2007 Microsoft Office system. You run the OCT by typing setup.exe /admin on the command line.

When you run the OCT, you choose whether to create a new Setup customization file or open an existing one. If you are creating a new file, the OCT displays a list of the products available on the network installation point. You must select a single product that you want to customize.

Note The 2007 Office release requires version 3.1 or later of Windows Installer on all computers running Office including the computer you use to run the OCT. For more information about Windows Installer 3.1, including where to obtain it, see the Microsoft Knowledge Base article 893803.

Using the OCT, you customize Office and save your customizations in a Setup customization file (MSP file) and then place the file in the Updates folder on the network installation point. When you install Office, Setup looks for a Setup customization file in the Updates folder and, if found, applies those customizations. If you put the customization file somewhere other than the Updates folder, you can use the Setup command-line option /adminfile to specify the fully qualified path to the file; for example, setup.exe /adminfile \\server\share\mychanges\custom.msp.

Note If you use a folder other than the Updates folder for your customization files, you can specify its location in the config.xml file using the SUpdateLocation attribute of the SetupUpdates element. For more information, see Config.xml file in the 2007 Office system in the 2007 Microsoft Office Resource Kit.

You also can use a Setup customization file to change an existing installation. Because a Setup customization file is an expanded form of a Windows Installer MSP file (.msp file extension), you apply the customization file to the user's computer just as you would a software update, and the user's existing Office installation is updated with your customizations. For example, if you change the installation states of some features to Not Available and then apply the resulting customization file to an existing installation of Office, those features will be removed from the user's computer.

There are some options in the OCT, however, that are applicable only on a new installation of Office. These options are identified in the OCT and in the OCT Help file. For example, you can use the INSTALLLOCATION element to specify the folder where Office is installed on the user's computer; if a customization file is applied to an existing installation, however, the INSTALLLOCATION element is ignored (you need to uninstall and reinstall Office to change the installation location).

Select Save on the File menu to save the Setup customization file before you exit the OCT.

The OCT consists of four major sections, each of which is divided into a number of pages containing customizable options.

  • Setup - Specify the default organization name, installation location, and additional installation sources; set the product key; accept the license agreement; set the display level; choose which previous versions of Office to remove; define custom programs to run during installation; customize Office security settings; and set Setup properties.
  • Features - Set default user options and choose which features to install.
  • Additional content - Add or remove custom files, registry entries, and shortcuts.
  • Outlook - Customize the default Microsoft Office Outlook 2007 profile and set Office Outlook 2007 and Microsoft Exchange 2007 options.


Installation location and organization name

Specify a default organization name and installation location for all users whose installation includes this Setup customization file.

Default installation path - This option specifies where Setup installs Office on the user's computer. You can use the predefined folder keyword [ProgramFilesFolder] to specify a path to standard folders in Microsoft Windows. The default path is [ProgramFilesFolder]\Microsoft Office. This option is recognized only when you first install Office on a user's computer; you cannot change the installation path without uninstalling and reinstalling Office.
Organization name - This name appears in the About box (Help menu) and on the banner pages of Office applications. The name you specify is used as the default company name for all users whose installation includes this customization file.


Additional network sources

Specify additional servers that have a copy of the network installation point.

Setup looks for servers in this list, in the order specified, if it is installing a feature on demand or repairing Office and the original network installation point is unavailable.

To add a source to the list, click Add. To edit a path, select a server from the list, and then click Modify. To remove a server from this list, select it, and then click Remove. To change the order of the list, select a server and click the Move arrows to move the server up or down in the list.

Note The OCT does not verify the server path or attempt to connect to the server when you add it to the list.


Add/Modify Network Server Entry dialog box

In the Add/Modify Network Server Entry dialog box, enter the path to a network server, and then click OK.

You can use a UNC path, or, if all users have access to the server with the same drive letter, you can use a drive letter in the path. The path can contain environment variables delimited by percent signs (%) if they are defined for all users.

For example:

z:\office
\\server1\share\office_root
%USERNAME%\office_root


Licensing and user interface

Enter the product key and accept the end user license agreement (EULA) on behalf of each user who installs Office with this Setup customization file; also set the user interface display level. These options are recognized by Setup only when you first install Office on a user's computer.

Product key - Enter a valid 25-character Volume License Key.
I accept the terms in the License Agreement - Select this check box to accept the terms of your license agreement on behalf of the user. If Display Level is set to Basic or None, and you supply a product key, then Setup assumes that you also accept the license agreement on behalf of the user. In this case, even if you do not set this checkbox, the user is not prompted for the license agreement either during installation or the first time an Office application is run.
Display level - Select how the user interface is displayed during installation. The options are:
  1. Full - default - Setup runs interactively, displaying all of the user interface and messages.
  2. Basic - Setup displays the Welcome screen, prompts for the product key and end-user license agreement (if needed), and displays a progress bar and the completion notice.
  3. None - Setup runs quietly, displaying no user interface.
Completion notice - Select this check box if you want Setup to display a message to the user when installation iscomplete.
Suppress modal - Select this check box if you want Setup not to display error messages and other dialog boxes that might interrupt the installation. If you set Display level to Full, error messages and other dialog boxes are displayed regardless of the state of this check box.

Note The preceding options are identical to the following settings in the Config.xml file:

OCT Option | Config.xml Setting
Product key | PIDKEY element
I accept...License Agreement | AcceptEula attribute of the Display element
Display level | Level attribute of the Display element
Completion notice | CompletionNotice attribute of the Display element
Suppress modal | SuppressModal attribute of the Display element


Remove previous installations

Specify previous versions of Microsoft Office applications to keep or remove. This option is recognized by Setup only when you first install Office on a user's computer.

By default, Setup removes all previous versions of Office applications. To keep an installed Office application, select Remove the following earlier versions of Microsoft Office applications, select the Office application that you do not want to remove, click Details, and then clear the check box.

Note Office Outlook 2007 cannot coexist with previous versions of Outlook. If you choose to keep previous versions, do not install Office Outlook 2007.


Add installations and run programs

Run additional executable programs before or after the Office installation is complete.

Setup runs all command lines in the order listed and does not complete the installation until all command lines have been executed.

Note Do not add a program that requires that the computer restart, unless it is the last program in the list. If a custom program restarts the computer, the Office installation will be completed, but any custom programs that appear later in this list will not be run.

To add a program to the list, click Add. To modify a program, select it and click Modify. To remove a program, select it and click Remove. To change the order of the list, select a program and click the Move arrows to move the program up or down in the list.


Add/Modify Program Entry dialog box

When you add or modify a program entry, you can enter the following information in the Add/Modify Program Entry dialog box, and then click OK.

Target - Enter the path and file name of the executable program.
Arguments - Enter a string of command-line options; for example, /q /path c:\temp.
Run this program after the Office product has been installed. - The program runs after the Office installation is complete. This is the recommended option. If the program does not terminate normally, or if it restarts the computer, the Office installation is not affected. However, programs further down the list do not run.
Run this program before the Office product has been installed. - The program runs before the Office installation starts. If the program does not terminate normally, or if it restarts the computer, Office is not installed, and programs further down the list do not run.

In the Add/Modify Program Entry dialog box, you can include any of the following standard Windows folders in the path of the executable file.

[INSTALLLOCATION] | The folder in which Office is installed
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[DesktopFolder] | Windows Desktop folder
[StartMenuFolder] | Windows Start menu
[ProgramMenuFolder] | Windows Start\Programs menu


Modify Setup properties

Set properties to be applied during the Office installation. You can customize Setup properties only when you first install Office on a user's computer; properties set in a customization file do not take effect if you apply the file to an existing installation.

To add a property, click Add. To modify a property that you have added, select the property, and then click Modify. To remove a property that you have added, select the property, and then click Remove.

For more information about properties and their values, see Setup properties in the 2007 Office system in the 2007 Microsoft Office Resource Kit.


Add/Modify Property Value dialog box

When you add or modify a Setup property, enter the following information in the Add/Modify Property Value dialog box, and then click OK:

Name - The property name. Property names must be all uppercase.
Value - The value of the property.


Modify user settings

Set the default values of Office application settings for users who install Office with this customization file.

To configure an option, expand the tree on the left, and then click the user-interface element; all configurable settings associated with that element appear on the right. Double-click a setting, and then select one of the following options:

Not Configured - The setting remains as it is.
Enabled - The setting is modified based on your choices in the dialog box.
Disabled - The setting is disabled. Note that disabling an option may be different from not configuring the option. See the description of the specific option for more details.

Click Show all settings to display all available user settings. Click Show configured settings only to display only those settings that you have configured.

Select the Migrate user settings check box to preserve users' custom settings from a previous version of Office. If you modify user settings and also select this check box, Setup first applies the modified settings and then migrates the user's existing custom settings, overwriting any conflicting settings.

Note When you click Enabled to view the options for a setting, and then click OK or Previous Setting or Next Setting, the status changes to Configured, even if you do not change the setting. Inadvertently configuring the setting with an empty hyperlink, path, or file name can cause errors. If you clicked Enabled and want to ignore your changes or avoid configuring the setting, click Cancel. You also can return a setting to the Not Configured state by double-clicking the setting, selecting Not Configured, and then clicking OK.


Set feature installation states

Customize how Office features are installed on the user's computer.

To change the installation state of a feature, click it, and then select the installation state. Some features, called parent features, consist of multiple child features. To view child features, click the plus sign (+) to the left of the parent feature to expand it.

When you change the installation state of a feature, the name of the feature and the names of all its child features (if any) are displayed in bold font, indicating that Setup will apply these changes to the installation. Features not displayed in bold font are installed using the default installation state. If you want to remove a change that you made, select the feature and select the Reset option or click Reset Branch.

The following feature installation states typically are available to users during Setup. Not all installation states are available for every feature. For example, if a feature contains a component that cannot be advertised, Installed on First Use is not included in the list of available installation states for that feature.

Run from My Computer | Setup copies files and writes registry entries and shortcuts associated with the feature to the user's hard disk, and the application or feature runs locally.
Run All from My Computer | Same as Run from My Computer, except that all child features belonging to the feature are also set to this state.
Installed on First Use | Setup leaves components for the feature and all its child features in the local installation source until the user attempts to use the feature for the first time, at which time the components are installed. This is also known as an advertised feature.
Not Available | The components for the feature, and all of the child features belonging to this feature, are not installed on the computer.

The following options also are available for each feature.

Hidden | Setup does not display the feature in the feature tree during installation if Setup is run interactively. The feature is not hidden when Setup is run in maintenance mode after Office is installed. The symbol [H] is prepended to the feature name to indicate the feature is hidden.
Locked | The installation state you choose for this feature cannot be changed by the user during installation or in maintenance mode after Office is installed. The symbol [L] is prepended to the feature name to indicate the feature is locked.
Reset | The feature is returned to its default installation state. This is the same as selecting the feature and clicking the Reset Branch button.

If you explicitly set a feature to its default state, the symbol [F] is prepended to the feature name to indicate that the feature will be forced into this state. This is useful if you are creating a Setup customization file to modify an existing Office installation - if you do not change the installation state of a feature, then Setup does not change the feature on the user's computer; but if you specify a change, even setting the feature to its normally default state, then Setup ensures that the feature is set to that state on the user's computer.

When you change the installation state of a feature, Setup might change the installation state of a parent or child feature to match. For example, if you set a parent feature to Installed on First Use but set a child feature to Run from My Computer, Setup changes the state of the parent feature also to Run from My Computer.

Setup does not display hidden features in the feature tree when users run Setup interactively, but the feature is installed according to its defined installation state. All child features belonging to the hidden feature are also hidden.

Show Tip

The best use of the Hide setting is to simplify the feature tree for users. For example, you might hide the Office Tools branch of the feature tree so that users do not have to decide which tools they need; only the tools that you select are installed.

If you set a feature to Not Available and hide it in the feature tree, users can still change the setting and install the feature by installing the parent feature or by running Setup in maintenance mode. For example, if you set the Name Smart Tag Plugin feature to Not Available and Hidden, users can still install it by setting the parent Smart Tags Plugins feature to Run All from My Computer. If you want to help prevent users from installing hidden features, select the Not Available, Hidden, and Locked installation state. In this case, the feature or application is not installed and is not available in maintenance mode. Users cannot install it by changing the state of the parent feature. The only way to reverse the Not Available, Hidden, and Locked installation state after Office is installed is to use the OCT to create a Setup customization file that is configured to change the installation state of the feature, and then apply the customization file to the user's computer.


Add files

Add files to users' computers when Office is installed.

To create a list of files to add to the user's computer during installation, click Add, select the file you want to add to the list, and click Add again. To change the destination path of a file, select the file in the Add custom files list, and then click Modify. To remove a file from the list, select the file, and then click Remove. You can use the Shift and Ctrl keys to select multiple files at one time.

When adding files to an Office installation, note the following:

  • Files are copied into the Setup customization file when you save the customization file and exit the OCT. Large files increase the size of the customization file and the amount of time it takes to create it.
  • If you revise a file that is currently included in the customization file, you must open the customization file with the OCT, remove the file from the Add files list, add the revised version, and then save the customization file.
  • If the user removes, repairs, or reinstalls Office, the custom files are removed or reinstalled along with Office. Setup does not reinstall a custom file, however, if the file has changed since installation.


File Destination Path dialog box

In the Destination path on the user's computer dialog box, enter the folder where you want the file installed on users' computers, and then click OK.

You can select multiple files at once by using the Shift and Ctrl keys; these files are associated with the same destination folder. You can use the following special folder names in the destination path:

[INSTALLLOCATION] | The folder in which Office is installed
[ROOTDRIVE] | The local disk drive with the most free space
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[PersonalFolder] | The user's My Documents folder
[AppDataFolder] | The user's Application Data folder
[NetHoodFolder] | The user's My Network Places folder


Remove files

Remove files from users' computers when Office is installed.

To create a list of files to remove from the user's computer during installation, click Add. To modify the path or name of a file, select the file in the Remove files list, and then click Modify. To remove a file from the list, select the file, and then click Remove. You can use the Shift and Ctrl keys to select multiple files at one time.

Note Files listed in the Remove files list are removed from the user's computer before files listed in the Add files list are installed. Therefore, you can delete existing files on a user's computer and replace them with new versions. If the target file on a user's computer has been renamed or modified, an added file with the same name does not replace it.


File Path dialog box

In the File path dialog box, enter the path and file name of the file you want to add to the list of files to remove from the user's computer, and then click OK.

The path must begin with a drive letter, a UNC path, or one of the following special folders:

[INSTALLLOCATION] | The folder in which Office is installed
[ROOTDRIVE] | The local disk drive with the most free space
[ProgramFilesFolder] | Program Files folder
[CommonFilesFolder] | Program Files\Common Files folder
[WindowsFolder] | Windows folder
[SystemFolder] | Windows System32 folder
[PersonalFolder] | The user's My Documents folder
[AppDataFolder] | The user's Application Data folder
[NetHoodFolder] | The user's My Network Places folder


Add registry entries

Add or modify registry entries on users' computers when Office is installed.

To create a list of registry entries to add to users' computers, click Add. To change an entry in the list, select it, and then click Modify. To remove an entry from the list, select it, and then click Remove. Click Import to add a set of entries from a registry file (REG file). If an entry in the REG file duplicates an entry in the list, the OCT prompts you to choose whether to overwrite existing registry entries with those in the REG file.

Note Registry entries customized in this section might override settings customized elsewhere in the OCT. Use this section to customize options that cannot be set directly in the Office user interface and are not configurable by using other methods in the OCT.


Add/Modify Registry Entry dialog box

In the Add/Modify Registry Entry dialog box, enter the following information for each registry entry, and then click OK:

Root - Select the branch that contains the entries you want to add or modify. Settings are applied once per user (HKEY_CURRENT_USER) or once per computer (HKEY_LOCAL_MACHINE). Note that you cannot add registry entries to the root of HKEY_USERS or HKEY_LOCAL_MACHINE.
Data type - Select a data type for the registry value.
Key - Enter the name of the subkey where the entry is stored; for example, Software\Microsoft\Office\12.0\Common.
Create empty key - Select this check box if the registry entry does not contain a value name or value data. Some settings are determined by the presence or absence of the registry entry.
Value name - Enter a name for the new registry entry. If you include Value data but leave this field blank, the value is assigned the name <Default>. A key can have only one <Default> value name.
Value data - Enter the data (value) to store in the new registry entry. The data must match the data type.


Remove registry entries

Remove registry entries from users' computers when Office is installed.

To create a list of registry entries to remove from users' computers, click Add. To change an entry in the list, select it, and then click Modify. To remove an entry from the list, select it, and then click Remove.

Note If the user removes, repairs, or reinstalls Office, the custom registry entries are removed or reinstalled along with Office.


Delete/Modify Registry Entry dialog box

In the Delete/Modify Registry Entry dialog box, enter the following information for each registry entry, and then click OK:

Root - Select the branch that contains the entries that you want to remove.
Key - Enter the name of the subkey where the entry is stored; for example, Software\Microsoft\Office\12.0\Common.
Value name - Enter the name of the registry entry that you want to remove. To remove the entire subkey, including all of its value entries, leave this field blank.


Outlook Profile

Customize a user's default Outlook profile, which is the set of values in the Windows registry that defines user-specific information. An Outlook profile can contain multiple e-mail accounts. Users can have multiple Outlook profiles, but you can configure only one profile in the Setup customization file.

Use existing profile - Use the profile already configured on the user’s computer, or prompt the user to create a profile the first time Outlook is started. Choosing this option disables the other Outlook sections of the OCT.
Modify profile - Modify the default profile on the user’s computer or define changes to profiles with a name you specify. If no default profile exists or there is no profile by the name that you specify, Outlook creates a profile based on the options you choose in the other Outlook sections of the OCT. Outlook uses the default profile name (Outlook) or uses the profile name you have specified.
New profile - Create a new profile on the user’s computer and make it the default profile; any existing profiles are not removed and remain available to users. You must enter a name in the Profile name box. This name appears in the E-mail Accounts dialog box in Outlook. Outlook creates the profile based on the options you choose in the other Outlook sections of the OCT.
Apply PRF - Import an Outlook profile file (PRF file) to define a new default profile. Selecting this option disables the other Outlook sections of the OCT but does not update the OCT with the settings in the PRF file. You can use any profile created for Office Outlook 2007. Enter a name and path for the profile in the Apply the following profile (PRF file) box. If you created a PRF file for a previous version of Outlook, you can import it to Office Outlook 2007, provided that the profile defines only MAPI services.

If you install Office on locked-down computers where the users do not have administrative rights, users cannot configure their Outlook profile after Office is installed.


Specify Exchange Settings

Configure users’ Microsoft Exchange settings in a new or modified Outlook profile.

Exchange Server connection

Configure an Exchange Server connection for new or existing profiles.

Do not configure an Exchange Server connection - Prompt the user for profile and account information the first time Outlook starts, unless a profile already exists on the computer.
Configure an Exchange Server connection - Configure settings for a new Exchange Server connection, or replace the settings in an existing Exchange Server connection. Enter the following information:
  • User Name - Identify the user with a specific value or replaceable parameter. If you specify the default %USERNAME%, Outlook uses the user's exact logon name, rather than prompting the user with possible variations when Outlook starts.
  • Exchange Server - Enter the name of an Exchange server that is likely to be available when users start Outlook. When a user starts Outlook for the first time, Outlook replaces this value with the user’s correct Exchange server. Provide only a literal server name in this text box; for example, Exch-2-Srvr. Do not include backslashes (\\) or similar syntax.
  • Overwrite existing Exchange settings if an Exchange connection exists - Select this option to replace an existing Exchange Server account in the user’s profile with this account.

Cached Exchange Mode

Use the following options to configure users’ Outlook profile to use a local copy of the Exchange mailbox.

Do not configure Cached Exchange Mode - By default, Exchange mailboxes are accessible from the Exchange server, rather than being cached on users’ computers in an Offline Store file (OST file).
Configure Cached Exchange Mode - Create an OST file or use an existing OST file; users work with a local copy of their Exchange mailbox. If you select Use Cached Exchange Mode, you can configure Cached Exchange Mode for users with the following options.
Download only headers - Download copies of headers only from users’ Exchange mailboxes.
Download headers followed by the full item - Download copies of headers from users’ Exchange mailboxes, and then download copies of messages.
Download full items - Download copies of full messages (headers and message bodies) from users’ Exchange mailboxes.
On slow connections, download only headers - When a slow network connection is detected, download copies of headers only from users’ Exchange mailboxes.
Download shared non-mail folders - Download any shared non-mail folders.
Download Public Folder Favorites - Download the list of Public Folder Favorites.


More Exchange Server Settings

Configure Exchange Server offline use options and the Outlook Anywhere feature. For complete information on how to configure these settings, see Configuring Cached Exchange Mode with Outlook 2007 in the 2007 Microsoft Office Resource Kit.


Add Accounts

Include new Outlook e-mail accounts in the user’s profile.

Select the Do not customize Outlook profile and account information option if you do not want to add accounts to a new or modified Outlook profile.

Select the Customize additional Outlook profile and account information option to specify new account information in a new or modified Outlook profile. The first time the user starts the application, Outlook creates a profile based on information you specify.

To add a new account to the list, click Add. To modify an account in the list, select it and click Modify. To remove an account from the list, select it and click Remove.

You can also specify the following:

  • Deliver new mail to the following location - When you configure an Exchange server or add a Personal Folders file (PST file), select this option to specify a delivery location for new e-mail messages. The default location is the Exchange server, if one is configured; otherwise, the location defaults to the PST file on the user’s computer.
  • Default e-mail account - Select the account that is to be the default e-mail account for users.


Add Account and Account Settings dialog box

If you are adding a new account, select the type of account to add and click Next.

In the <account type> Settings dialog box, set the options appropriate for the type of account you are adding or modifying, such as account name, user name, mail server, and e-mail address. Click More Settings for additional configuration options. Click Finish when you are done.

To ensure that e-mail services do not overlap, Outlook might not allow you to add more than one new account for the same type of service. For example, Outlook verifies that all POP accounts have unique names. The following table shows how Outlook determines whether a new account of the same type as an existing account can be added to the Setup customization file.

Account type | Add duplicate account? | Data used to determine whether conflict exists
POP3 | No | Account name
IMAP | No | Account name
Hotmail or HTTP | No | Account name
PST | No | File name and path to PST file
Unicode PST | No | File name and path to Unicode PST file
Outlook Address Book | Yes | Existence of account
Personal Address Book | Yes | Existence of account
LDAP | No | Account name
Exchange | Yes | Existence of provider


Remove Accounts and Export Settings

Remove existing e-mail accounts or export settings to a PRF file.

The option to remove accounts is available only when you select Modify Profile on the Outlook profile page of the OCT. Under Remove the following accounts if they exist, select Lotus cc:Mail or Microsoft Mail to remove these accounts from users’ computers when Outlook first starts.

Click the Export Profile Settings button to save the Outlook profile settings you have defined in a PRF file.

Show Tip

An efficient way to create an Outlook PRF file is to use the OCT to make your selections and then export them to a PRF file – even if you are not using a Setup customization file when you deploy Office. You can edit the PRF file to make additional customizations not exposed in the OCT. For example, you can add an e-mail provider not listed in the OCT.


Specify Send/Receive Groups

Define Send/Receive groups for Exchange accounts and folders, and specify the tasks that are performed on each group during a Send/Receive in Outlook. A Send/Receive group contains a collection of Outlook accounts and folders. You can specify different options for Send/Receive groups when Outlook is online and offline.

Do not configure Send/Receive settings - Do not configure settings for Send/Receive groups. Outlook is configured with only the All Accounts group and its default settings. (If users have created additional groups, those groups migrate when users upgrade to Office Outlook 2007.)
Configure Send/Receive settings - Configure settings for Send/Receive groups (Exchange accounts and folders only).
  • Click New to create a new group of accounts and folders.
  • Click Modify to specify or redefine options for a Send/Receive group.
  • Click Rename to change the name of an existing Send/Receive group.
  • Click Remove to remove an existing Send/Receive group.

Send/Receive settings for the selected group

Specify settings for the Send/Receive group selected in the list. (The name of the selected group appears in the option label.) You can specify different settings for when Outlook is online or offline.

When Outlook is Online
  • Include this group in Send/Receive - Execute a Send/Receive action on this group when the user clicks Send/Receive.
  • Schedule an automatic Send/Receive every n minutes - Choose the interval between each Send/Receive action.
  • Perform an automatic Send/Receive when exiting - Automatically execute a Send/Receive action for this group when the user exits Outlook.
When Outlook is Offline
  • Include this group in Send/Receive - Execute a Send/Receive action on this group when the user clicks Send/Receive.
  • Schedule an automatic Send/Receive every n minutes - Choose the interval between each Send/Receive action.
Exchange Address Book
  • Download offline address book - Download the offline address book when the user clicks Send/Receive.
  • Click Address Book Settings to open the Modify Address Book Settings dialog box. You can select Download changes since last Send/Receive to download only updates to the address book since the last download, and you can choose whether to download Full Details or No Details.


New Exchange Group dialog box

Enter the name of the Exchange send/receive group you are creating in the New Group Name box, and then click OK.


Modify Group dialog box

When you modify a group, select from the following options in the Modify Group dialog box, and then click OK.

Under Select options for this Send/Receive group, select the following options:

Send mail items - Send mail items from the Outbox when executing a Send/Receive for this group.
Receive mail items - Receive mail items when executing a Send/Receive for this group.
Make folder home pages available offline - Refresh the content in folder home pages when executing a Send/Receive for this group.
Synchronize forms - Synchronize forms when executing a Send/Receive for this group.

Under Change folder options for this Send/Receive group, select a folder, and then provide the following information:

Include this folder in Send/Receive - Add this folder to the set of folders to be updated during a Send/Receive for this Send/Receive group, and select from the following options:
  • Download headers only - Download only headers for this folder when updating by executing a Send/Receive for this Send/Receive group.
  • Download complete item including attachments - Download entire e-mail messages (or other items) for this folder when updating by executing a Send/Receive for this Send/Receive group.
  • Download only headers for items larger than - When items are larger than the specified size, download only the header for the item. This setting applies to only this folder when updating by executing a Send/Receive for this Send/Receive group.


Rename Exchange Group dialog box

Enter the new name of the Exchange send/receive group in the New Group Name box, and then click OK.


Modify Address Book Settings dialog box

Configure the default way in which Outlook keeps the offline address book updated. Select among the following options:

Download changes since last Send/Receive – Outlook downloads only the changes that have been made to the address book since the last Send/Receive. This generally takes less time to download than downloading the entire address book.
Full Details – When downloading the address book, Outlook copies all of the details for each entry.
No Details – When downloading the address book, Outlook copies only essential information such as the name and email address for each entry. This takes less time to download, but address details are not included in the offline address book.


Office security settings

Customize security settings for Office applications.

Note Security settings specified in a Setup customization file become the default settings on users' computers; however, users can change them after installation. To help lock down security settings, use Group Policy. For more information, see Locking down computers for the 2007 Office system in the 2007 Microsoft Office Resource Kit.

Trusted Publishers - Manage the list that identifies trusted sources for digitally signed macros, add-ins, Microsoft ActiveX controls, and other executable code used by Office applications. Office applications share a certificate-based trusted sources list with Internet Explorer. Click Add to add a digital certificate (CER file). Adding the default Microsoft CER files ensures that all add-ins and templates are installed on users' computers with Office applications.
Trusted Locations - Manage the list that identifies locations from which any file can be opened without being checked by the Trust Center security feature. Click Add to add a new location, enter the following information, and then click OK:
Application - Select the Office application that uses this location.
Path - Enter the path of the trusted location. Enter a fully qualified path with drive letter or UNC path. The path can include environment variables.
Subfolders of this location are also trusted - Select this check box to include subfolders as trusted locations.
Description - Enter text to describe the purpose of the location.

To remove a trusted location from this list, select it, and then click Remove.

Note When you specify one or more trusted locations here, the Trusted Locations list previously defined on the user’s computer is cleared and replaced by this list.

Remove all Trusted Locations written by OCT during installation - Clears the Trusted Locations list on the user's computer. Use this check box if you want to clear the Trusted Locations list on the user's computer without adding any new locations.
Default Security Settings - Set default security levels for add-ins, templates, and Office applications. For each Office application, you can set the following options:
  • Allow trusted locations options
    1. Allow trusted locations that are not on the user's computer
    2. Disable all trusted locations; only files signed by trusted publishers are trusted
  • Application extensions warnings options
    1. Disable all application extensions
    2. Require that application extensions be signed by a trusted publisher
    3. Require that extensions be signed, and silently disable unsigned extensions
  • VBA macro warnings options
    1. Disable all VBA macros
    2. Disable the Trust Bar warning for unsigned VBA macros (unsigned code is disabled)
    3. No security checks for VBA macros (not recommended, code in all documents can run)
  • Add-ins and templates (Microsoft Office Project 2007 only)
    1. Trust all installed add-ins and templates
    2. Do not trust installed add-ins and templates
  • Security level (Office Project 2007 only)
    1. High - Only signed macros from trusted sources are allowed to run; unsigned macros are disabled
    2. Medium - Users can choose whether to run potentially unsafe macros
    3. Low (not recommended) - Users are not protected from potentially unsafe macros
Unsafe ActiveX Initialization - Determine whether unsigned, and therefore potentially unsafe, ActiveX controls can initialize using persisted data, that is, data that is saved from one instance of the control to the next. The possible values are:
<do not configure> - Setup does not modify the setting specified on the user's computer. New applications are installed with the default setting, which is Prompt user to use persisted data.
Prompt user to use control defaults - The user is warned before an application initiates ActiveX controls that might be unsafe. If the user trusts the source of the document, the control is initialized using its default settings.
Prompt user to use persisted data - The user is warned before an application initiates ActiveX controls that might be unsafe. If the user trusts the source of the document, the control is initialized using persisted data.
Do not prompt - All unsigned ActiveX controls run without prompting the user. This setting provides the least protection and is not recommended.


Configure shortcuts

Modify or remove default shortcuts to installed Office applications, and add shortcuts to any files installed with 2007 Office release or already on the user's computer.

To add a new shortcut, click Add. To modify a shortcut in the list, select it and click Modify. To remove a shortcut from the list, select it and click Remove.

Note If you add a shortcut to a custom application or file, that shortcut is not updated or removed if the user modifies, repairs, reinstalls, or removes Office.


Add/Modify Shortcut Entry dialog box

In the Add/Modify Shortcut Entry dialog box, enter the following information for the shortcut you are creating or modifying, and then click OK:

Target - Specify the application associated with the shortcut by selecting a predefined application keyword or by entering the name and path of the file to which the shortcut will point. If you select an application keyword, the OCT automatically enters information in the remaining boxes. The names in the list correspond to features that you select on the Set feature installation states page of the OCT, plus any custom files that you add to the installation on the Add files page. If you enter a name and path, and the name or path contains a space, you must enclose the entire string in double quotation marks (""). You can add command-line options for the application by using the Arguments field.
Location - Specify the folder in which the shortcut is created by selecting a predefined folder keyword or entering the name and path to the location of the shortcut. You can specify a subfolder by appending a backslash (\) followed by the subfolder name. For example, to install the Microsoft Office Word 2007 shortcut in the Microsoft Office subfolder in the Programs folder in the Start menu, select [ProgramMenuFolder] and append the subfolder name as follows: [ProgramMenuFolder]\Microsoft Office.

You can use the following special folders for Location:

[StartMenuFolder] | Windows Start menu
[ProgramMenuFolder] | Windows Start\Programs menu
[StartupFolder] | Startup folder in the Windows Start\Programs menu
[DesktopFolder] | Windows Desktop folder
[INSTALLLOCATION] | The folder in which Office is installed
[FavoritesFolder] | The user's Favorites folder
[AppDataFolder] | The user's Application Data folder
[NetHoodFolder] | The user's My Network Places folder
Name - Specify a name for the shortcut by entering any string.
Start in - Specify the default starting folder for the application by entering a path. If you leave this box blank, the default folder is set to the folder where the target file resides. If the path is not valid on a user's computer, the user sees an error message when trying to use the shortcut.
Arguments - Enter optional arguments to pass to the application on the command line.
Shortcut key - Enter an optional keyboard shortcut for the application or file. The syntax for the shortcut key is:
[modifier+]VK_key
where modifier is SHIFT, CTRL, ALT, or EXT; and VK_key is a virtual key name (see the following table). The modifier is optional, and you can specify more than one, in any order, separated by plus signs (+). If you use a modifier, it must precede the virtual key name. You must enter one virtual key name. Do not use spaces in the key definition.

Here are some examples:

CTRL+VK_F12
CTRL+SHIFT+VK_A
ALT+CTRL+VK_SNAPSHOT

Some key combinations, such as CTRL+ALT+VK_DELETE, might be used by the system and might not start the application as expected. Be careful to avoid conflicts on the user's computer, especially when specifying a shortcut key without a modifier. For example, if you specify VK_A with no modifier, the application runs every time the user types the A key.

You can use the following virtual key names:
Virtual Key Name | Hex Key Code | Description
VK_0 … VK_9 | 30-39 | Keys 0-9
VK_A … VK_Z | 41-5A | Keys A-Z
VK_NUMPAD0 … VK_NUMPAD9 | 60-69 | Keys 0-9 on the numeric keypad
VK_F1 ... VK_F24 | 70-87 | Function keys F1-F24
VK_LBUTTON | 1 | Left mouse button
VK_RBUTTON | 2 | Right mouse button
VK_CANCEL | 3 | Control-break processing
VK_MBUTTON | 4 | Middle mouse button (three-button mouse)
VK_BACK | 8 | BACKSPACE key
VK_CLEAR | 0C | CLEAR key
VK_RETURN | 0D | ENTER key
VK_PAUSE | 13 | PAUSE key
VK_CAPITAL | 14 | CAPS LOCK key
VK_PRIOR | 21 | PAGE UP key
VK_NEXT | 22 | PAGE DOWN key
VK_END | 23 | END key
VK_HOME | 24 | HOME key
VK_LEFT | 25 | LEFT ARROW key
VK_UP | 26 | UP ARROW key
VK_RIGHT | 27 | RIGHT ARROW key
VK_DOWN | 28 | DOWN ARROW key
VK_SELECT | 29 | SELECT key
VK_EXECUTE | 2B | EXECUTE key
VK_SNAPSHOT | 2C | PRINT SCREEN key
VK_INSERT | 2D | INS key
VK_HELP | 2F | HELP key
VK_MULTIPLY | 6A | Multiply key
VK_ADD | 6B | Add key
VK_SEPARATOR | 6C | Separator key
VK_SUBTRACT | 6D | Subtract key
VK_DECIMAL | 6E | Decimal key
VK_DIVIDE | 6F | Divide key
VK_NUMLOCK | 90 | NUM LOCK key
VK_SCROLL | 91 | SCROLL LOCK key
Run - Select the type of window the application or file should start in (Normal window, Minimized, or Maximized).
Change Icon - Select a different icon for the shortcut.